#line 1 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"

#line 95 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"


#include "smtp_parsers.h"
#include "content_type.h"


#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"
static const int content_type_parser_start = 1;
static const int content_type_parser_first_final = 44;
static const int content_type_parser_error = 0;

static const int content_type_parser_en_balanced_ccontent = 40;
static const int content_type_parser_en_main = 1;


#line 100 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"


gboolean
rspamd_content_disposition_parser (const char *data, size_t len, struct rspamd_content_disposition *cd, rspamd_mempool_t *pool)
{
	const unsigned char *p = data, *pe = data + len, *eof, *qstart = NULL, *qend = NULL,
	*pname_start = NULL, *pname_end = NULL, *pvalue_start = NULL, *pvalue_end = NULL;
	int cs, *stack = NULL;
	gsize top = 0;
	struct _ragel_st_storage {
		int *data;
		gsize size;
	} st_storage;
	
	memset (&st_storage, 0, sizeof (st_storage));
	memset (cd, 0, sizeof (*cd));
	eof = pe;
	

#line 34 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"
	{
		cs = (int)content_type_parser_start;
		top = 0;
	}
	
#line 118 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"


#line 40 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"
{
		if ( p == pe )
			goto _test_eof;
		goto _resume;
		
		_again: {}
		switch ( cs ) {
			case 1: goto _st1;
			case 0: goto _st0;
			case 44: goto _st44;
			case 2: goto _st2;
			case 3: goto _st3;
			case 4: goto _st4;
			case 5: goto _st5;
			case 45: goto _st45;
			case 46: goto _st46;
			case 6: goto _st6;
			case 7: goto _st7;
			case 8: goto _st8;
			case 9: goto _st9;
			case 10: goto _st10;
			case 11: goto _st11;
			case 47: goto _st47;
			case 12: goto _st12;
			case 13: goto _st13;
			case 14: goto _st14;
			case 15: goto _st15;
			case 16: goto _st16;
			case 17: goto _st17;
			case 18: goto _st18;
			case 19: goto _st19;
			case 20: goto _st20;
			case 21: goto _st21;
			case 22: goto _st22;
			case 23: goto _st23;
			case 24: goto _st24;
			case 25: goto _st25;
			case 26: goto _st26;
			case 27: goto _st27;
			case 28: goto _st28;
			case 29: goto _st29;
			case 30: goto _st30;
			case 31: goto _st31;
			case 32: goto _st32;
			case 33: goto _st33;
			case 34: goto _st34;
			case 35: goto _st35;
			case 36: goto _st36;
			case 37: goto _st37;
			case 38: goto _st38;
			case 39: goto _st39;
			case 48: goto _st48;
			case 49: goto _st49;
			case 50: goto _st50;
			case 51: goto _st51;
			case 52: goto _st52;
			case 53: goto _st53;
			case 54: goto _st54;
			case 55: goto _st55;
			case 56: goto _st56;
			case 57: goto _st57;
			case 58: goto _st58;
			case 59: goto _st59;
			case 60: goto _st60;
			case 61: goto _st61;
			case 62: goto _st62;
			case 63: goto _st63;
			case 40: goto _st40;
			case 64: goto _st64;
			case 41: goto _st41;
			case 42: goto _st42;
			case 43: goto _st43;
		}
		
		_resume: {}
		switch ( cs ) {
			case 1:
			goto st_case_1;
			case 0:
			goto st_case_0;
			case 44:
			goto st_case_44;
			case 2:
			goto st_case_2;
			case 3:
			goto st_case_3;
			case 4:
			goto st_case_4;
			case 5:
			goto st_case_5;
			case 45:
			goto st_case_45;
			case 46:
			goto st_case_46;
			case 6:
			goto st_case_6;
			case 7:
			goto st_case_7;
			case 8:
			goto st_case_8;
			case 9:
			goto st_case_9;
			case 10:
			goto st_case_10;
			case 11:
			goto st_case_11;
			case 47:
			goto st_case_47;
			case 12:
			goto st_case_12;
			case 13:
			goto st_case_13;
			case 14:
			goto st_case_14;
			case 15:
			goto st_case_15;
			case 16:
			goto st_case_16;
			case 17:
			goto st_case_17;
			case 18:
			goto st_case_18;
			case 19:
			goto st_case_19;
			case 20:
			goto st_case_20;
			case 21:
			goto st_case_21;
			case 22:
			goto st_case_22;
			case 23:
			goto st_case_23;
			case 24:
			goto st_case_24;
			case 25:
			goto st_case_25;
			case 26:
			goto st_case_26;
			case 27:
			goto st_case_27;
			case 28:
			goto st_case_28;
			case 29:
			goto st_case_29;
			case 30:
			goto st_case_30;
			case 31:
			goto st_case_31;
			case 32:
			goto st_case_32;
			case 33:
			goto st_case_33;
			case 34:
			goto st_case_34;
			case 35:
			goto st_case_35;
			case 36:
			goto st_case_36;
			case 37:
			goto st_case_37;
			case 38:
			goto st_case_38;
			case 39:
			goto st_case_39;
			case 48:
			goto st_case_48;
			case 49:
			goto st_case_49;
			case 50:
			goto st_case_50;
			case 51:
			goto st_case_51;
			case 52:
			goto st_case_52;
			case 53:
			goto st_case_53;
			case 54:
			goto st_case_54;
			case 55:
			goto st_case_55;
			case 56:
			goto st_case_56;
			case 57:
			goto st_case_57;
			case 58:
			goto st_case_58;
			case 59:
			goto st_case_59;
			case 60:
			goto st_case_60;
			case 61:
			goto st_case_61;
			case 62:
			goto st_case_62;
			case 63:
			goto st_case_63;
			case 40:
			goto st_case_40;
			case 64:
			goto st_case_64;
			case 41:
			goto st_case_41;
			case 42:
			goto st_case_42;
			case 43:
			goto st_case_43;
		}
		goto st_out;
		_st1:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof1;
		st_case_1:
		switch( ( (*( p))) ) {
			case 65u: {
				goto _ctr3;
			}
			case 73u: {
				goto _ctr4;
			}
			case 97u: {
				goto _ctr3;
			}
			case 105u: {
				goto _ctr4;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _ctr2;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _ctr2;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr2;
				}
			} else if ( ( (*( p))) >= 66u ) {
				goto _ctr2;
			}
		} else {
			goto _ctr2;
		}
		{
			goto _st0;
		}
		st_case_0:
		_st0:
		cs = 0;
		goto _pop;
		_ctr2:
			{
#line 5 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 305 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st44;
		_ctr81:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 313 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st44;
		_st44:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof44;
		st_case_44:
		if ( ( (*( p))) == 59u ) {
			goto _ctr83;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr6:
			{
#line 19 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 361 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st2;
		_ctr83:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 369 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st2;
		_ctr88:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 401 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st2;
		_ctr110:
			{
#line 15 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_ATTACHMENT;
		}
		
#line 410 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 416 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st2;
		_ctr122:
			{
#line 11 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_INLINE;
		}
		
#line 425 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 431 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st2;
		_st2:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof2;
		st_case_2:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr6;
			}
			case 34u: {
				goto _ctr8;
			}
			case 40u: {
				goto _ctr9;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _ctr7;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _ctr7;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr7;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _ctr7;
			}
		} else {
			goto _ctr7;
		}
		{
			goto _st0;
		}
		_ctr7:
			{
#line 19 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 487 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st3;
		_st3:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof3;
		st_case_3:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr11;
			}
			case 33u: {
				goto _st3;
			}
			case 61u: {
				goto _ctr12;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st3;
				}
			} else if ( ( (*( p))) >= 35u ) {
				goto _st3;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st3;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st3;
			}
		} else {
			goto _st3;
		}
		{
			goto _st0;
		}
		_ctr11:
			{
#line 26 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 550 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st4;
		_st4:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof4;
		st_case_4:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st4;
			}
			case 61u: {
				goto _st5;
			}
		}
		{
			goto _st0;
		}
		_ctr12:
			{
#line 26 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 591 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st5;
		_ctr15:
			{
#line 41 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 606 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st5;
		_st5:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof5;
		st_case_5:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr15;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr18;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _ctr16;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr16:
			{
#line 41 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 665 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st45;
		_ctr84:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 697 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st45;
		_st45:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof45;
		st_case_45:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr85;
			}
			case 33u: {
				goto _st45;
			}
			case 40u: {
				goto _ctr87;
			}
			case 59u: {
				goto _ctr88;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st45;
				}
			} else if ( ( (*( p))) >= 35u ) {
				goto _st45;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st45;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st45;
			}
		} else {
			goto _st45;
		}
		{
			goto _st0;
		}
		_ctr85:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 776 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st46;
		_st46:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof46;
		st_case_46:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st46;
			}
			case 40u: {
				goto _st6;
			}
			case 59u: {
				goto _st2;
			}
		}
		{
			goto _st0;
		}
		_ctr20:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 6; top+= 1; goto _st40;}}
		
#line 818 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st6;
		_ctr87:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 850 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st6;
		_st6:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof6;
		st_case_6:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr20;
			}
			case 41u: {
				goto _st46;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st6;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st6;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st9;
				}
			} else {
				goto _st8;
			}
		} else {
			goto _st7;
		}
		{
			goto _st0;
		}
		_st7:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof7;
		st_case_7:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st6;
		}
		{
			goto _st0;
		}
		_st8:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof8;
		st_case_8:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st7;
		}
		{
			goto _st0;
		}
		_st9:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof9;
		st_case_9:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st8;
		}
		{
			goto _st0;
		}
		_ctr17:
			{
#line 41 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 957 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st10;
		_st10:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof10;
		st_case_10:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr27;
			}
			case 92u: {
				goto _ctr28;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _ctr26;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _ctr31;
				}
			} else {
				goto _ctr30;
			}
		} else {
			goto _ctr29;
		}
		{
			goto _st0;
		}
		_ctr26:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1004 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st11;
		_st11:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof11;
		st_case_11:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr33;
			}
			case 92u: {
				goto _st16;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st11;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st19;
				}
			} else {
				goto _st18;
			}
		} else {
			goto _st17;
		}
		{
			goto _st0;
		}
		_ctr27:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1051 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 84 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1060 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st47;
		_ctr33:
			{
#line 84 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1071 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st47;
		_ctr89:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1103 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st47;
		_st47:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof47;
		st_case_47:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr89;
			}
			case 40u: {
				goto _ctr90;
			}
			case 59u: {
				goto _ctr88;
			}
		}
		{
			goto _st0;
		}
		_ctr39:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 12; top+= 1; goto _st40;}}
		
#line 1145 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st12;
		_ctr90:
			{
#line 52 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1177 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st12;
		_st12:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof12;
		st_case_12:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr39;
			}
			case 41u: {
				goto _st47;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st12;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st12;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st15;
				}
			} else {
				goto _st14;
			}
		} else {
			goto _st13;
		}
		{
			goto _st0;
		}
		_st13:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof13;
		st_case_13:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st12;
		}
		{
			goto _st0;
		}
		_st14:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof14;
		st_case_14:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st13;
		}
		{
			goto _st0;
		}
		_st15:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof15;
		st_case_15:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st14;
		}
		{
			goto _st0;
		}
		_ctr28:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1279 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st16;
		_st16:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof16;
		st_case_16:
		if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
			goto _st11;
		}
		{
			goto _st0;
		}
		_ctr29:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1306 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st17;
		_st17:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof17;
		st_case_17:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st11;
		}
		{
			goto _st0;
		}
		_ctr30:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1333 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st18;
		_st18:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof18;
		st_case_18:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st17;
		}
		{
			goto _st0;
		}
		_ctr31:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1360 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st19;
		_st19:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof19;
		st_case_19:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st18;
		}
		{
			goto _st0;
		}
		_ctr18:
			{
#line 41 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1392 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st20;
		_ctr45:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 20; top+= 1; goto _st40;}}
		
#line 1409 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st20;
		_st20:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof20;
		st_case_20:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr45;
			}
			case 41u: {
				goto _st21;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st20;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st20;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st24;
				}
			} else {
				goto _st23;
			}
		} else {
			goto _st22;
		}
		{
			goto _st0;
		}
		_st21:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof21;
		st_case_21:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st21;
			}
			case 34u: {
				goto _st10;
			}
			case 40u: {
				goto _st20;
			}
		}
		{
			goto _st0;
		}
		_st22:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof22;
		st_case_22:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st20;
		}
		{
			goto _st0;
		}
		_st23:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof23;
		st_case_23:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st22;
		}
		{
			goto _st0;
		}
		_st24:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof24;
		st_case_24:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st23;
		}
		{
			goto _st0;
		}
		_ctr8:
			{
#line 19 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 1538 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st25;
		_st25:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof25;
		st_case_25:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr52;
			}
			case 92u: {
				goto _ctr53;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _ctr51;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _ctr56;
				}
			} else {
				goto _ctr55;
			}
		} else {
			goto _ctr54;
		}
		{
			goto _st0;
		}
		_ctr51:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1585 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st26;
		_st26:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof26;
		st_case_26:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr58;
			}
			case 92u: {
				goto _st32;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st26;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st35;
				}
			} else {
				goto _st34;
			}
		} else {
			goto _st33;
		}
		{
			goto _st0;
		}
		_ctr64:
			{
#line 26 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 1641 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st27;
		_ctr52:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1651 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 84 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1660 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st27;
		_ctr58:
			{
#line 84 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1671 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st27;
		_st27:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof27;
		st_case_27:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr64;
			}
			case 40u: {
				goto _st28;
			}
			case 61u: {
				goto _ctr12;
			}
		}
		{
			goto _st0;
		}
		_ctr66:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 28; top+= 1; goto _st40;}}
		
#line 1713 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st28;
		_st28:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof28;
		st_case_28:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr66;
			}
			case 41u: {
				goto _st27;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st28;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st28;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st31;
				}
			} else {
				goto _st30;
			}
		} else {
			goto _st29;
		}
		{
			goto _st0;
		}
		_st29:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof29;
		st_case_29:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st28;
		}
		{
			goto _st0;
		}
		_st30:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof30;
		st_case_30:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st29;
		}
		{
			goto _st0;
		}
		_st31:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof31;
		st_case_31:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st30;
		}
		{
			goto _st0;
		}
		_ctr53:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1815 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st32;
		_st32:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof32;
		st_case_32:
		if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
			goto _st26;
		}
		{
			goto _st0;
		}
		_ctr54:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1842 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st33;
		_st33:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof33;
		st_case_33:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st26;
		}
		{
			goto _st0;
		}
		_ctr55:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1869 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st34;
		_st34:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof34;
		st_case_34:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st33;
		}
		{
			goto _st0;
		}
		_ctr56:
			{
#line 79 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1896 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st35;
		_st35:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof35;
		st_case_35:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st34;
		}
		{
			goto _st0;
		}
		_ctr9:
			{
#line 19 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 1925 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st36;
		_ctr71:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 36; top+= 1; goto _st40;}}
		
#line 1942 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st36;
		_st36:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof36;
		st_case_36:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr71;
			}
			case 41u: {
				goto _st2;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st36;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st36;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st39;
				}
			} else {
				goto _st38;
			}
		} else {
			goto _st37;
		}
		{
			goto _st0;
		}
		_st37:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof37;
		st_case_37:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st36;
		}
		{
			goto _st0;
		}
		_st38:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof38;
		st_case_38:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st37;
		}
		{
			goto _st0;
		}
		_st39:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof39;
		st_case_39:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st38;
		}
		{
			goto _st0;
		}
		_ctr3:
			{
#line 5 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2042 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st48;
		_ctr91:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2050 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st48;
		_st48:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof48;
		st_case_48:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st49;
			}
			case 116u: {
				goto _st49;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr93:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2102 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st49;
		_st49:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof49;
		st_case_49:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st50;
			}
			case 116u: {
				goto _st50;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr95:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2154 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st50;
		_st50:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof50;
		st_case_50:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 65u: {
				goto _st51;
			}
			case 97u: {
				goto _st51;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 66u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr97:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2206 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st51;
		_st51:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof51;
		st_case_51:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 67u: {
				goto _st52;
			}
			case 99u: {
				goto _st52;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr99:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2258 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st52;
		_st52:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof52;
		st_case_52:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 72u: {
				goto _st53;
			}
			case 104u: {
				goto _st53;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr101:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2310 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st53;
		_st53:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof53;
		st_case_53:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 77u: {
				goto _st54;
			}
			case 109u: {
				goto _st54;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr103:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2362 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st54;
		_st54:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof54;
		st_case_54:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 69u: {
				goto _st55;
			}
			case 101u: {
				goto _st55;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr105:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2414 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st55;
		_st55:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof55;
		st_case_55:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st56;
			}
			case 110u: {
				goto _st56;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr107:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2466 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st56;
		_st56:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof56;
		st_case_56:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st57;
			}
			case 116u: {
				goto _st57;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr109:
			{
#line 15 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_ATTACHMENT;
		}
		
#line 2519 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2525 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st57;
		_st57:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof57;
		st_case_57:
		if ( ( (*( p))) == 59u ) {
			goto _ctr110;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr4:
			{
#line 5 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2569 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st58;
		_ctr111:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2577 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st58;
		_st58:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof58;
		st_case_58:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st59;
			}
			case 110u: {
				goto _st59;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr113:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2629 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st59;
		_st59:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof59;
		st_case_59:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 76u: {
				goto _st60;
			}
			case 108u: {
				goto _st60;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr115:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2681 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st60;
		_st60:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof60;
		st_case_60:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 73u: {
				goto _st61;
			}
			case 105u: {
				goto _st61;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr117:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2733 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st61;
		_st61:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof61;
		st_case_61:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st62;
			}
			case 110u: {
				goto _st62;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr119:
			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2785 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st62;
		_st62:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof62;
		st_case_62:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 69u: {
				goto _st63;
			}
			case 101u: {
				goto _st63;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr121:
			{
#line 11 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_INLINE;
		}
		
#line 2838 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

			{
#line 8 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2844 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st63;
		_st63:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof63;
		st_case_63:
		if ( ( (*( p))) == 59u ) {
			goto _ctr122;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st44;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st44;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st44;
			}
		} else {
			goto _st44;
		}
		{
			goto _st0;
		}
		_ctr76:
			{
#line 6 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{{
#line 28 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 40; top+= 1; goto _st40;}}
		
#line 2897 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st40;
		_st40:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof40;
		st_case_40:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr76;
			}
			case 41u: {
				goto _ctr77;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( ( (*( p))) > 91u ) {
				if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st40;
				}
			} else if ( ( (*( p))) >= 32u ) {
				goto _st40;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st43;
				}
			} else {
				goto _st42;
			}
		} else {
			goto _st41;
		}
		{
			goto _st0;
		}
		_ctr77:
			{
#line 7 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition.rl"
			{top -= 1;cs = stack[top];goto _again;} }
		
#line 2945 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/content_disposition.rl.c"

		goto _st64;
		_st64:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof64;
		st_case_64:
		{
			goto _st0;
		}
		_st41:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof41;
		st_case_41:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st40;
		}
		{
			goto _st0;
		}
		_st42:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof42;
		st_case_42:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st41;
		}
		{
			goto _st0;
		}
		_st43:
		if ( p == eof ) {
			if ( cs >= 44 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof43;
		st_case_43:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st42;
		}
		{
			goto _st0;
		}
		st_out:
		_test_eof1: cs = 1; goto _test_eof; 
		_test_eof44: cs = 44; goto _test_eof; 
		_test_eof2: cs = 2; goto _test_eof; 
		_test_eof3: cs = 3; goto _test_eof; 
		_test_eof4: cs = 4; goto _test_eof; 
		_test_eof5: cs = 5; goto _test_eof; 
		_test_eof45: cs = 45; goto _test_eof; 
		_test_eof46: cs = 46; goto _test_eof; 
		_test_eof6: cs = 6; goto _test_eof; 
		_test_eof7: cs = 7; goto _test_eof; 
		_test_eof8: cs = 8; goto _test_eof; 
		_test_eof9: cs = 9; goto _test_eof; 
		_test_eof10: cs = 10; goto _test_eof; 
		_test_eof11: cs = 11; goto _test_eof; 
		_test_eof47: cs = 47; goto _test_eof; 
		_test_eof12: cs = 12; goto _test_eof; 
		_test_eof13: cs = 13; goto _test_eof; 
		_test_eof14: cs = 14; goto _test_eof; 
		_test_eof15: cs = 15; goto _test_eof; 
		_test_eof16: cs = 16; goto _test_eof; 
		_test_eof17: cs = 17; goto _test_eof; 
		_test_eof18: cs = 18; goto _test_eof; 
		_test_eof19: cs = 19; goto _test_eof; 
		_test_eof20: cs = 20; goto _test_eof; 
		_test_eof21: cs = 21; goto _test_eof; 
		_test_eof22: cs = 22; goto _test_eof; 
		_test_eof23: cs = 23; goto _test_eof; 
		_test_eof24: cs = 24; goto _test_eof; 
		_test_eof25: cs = 25; goto _test_eof; 
		_test_eof26: cs = 26; goto _test_eof; 
		_test_eof27: cs = 27; goto _test_eof; 
		_test_eof28: cs = 28; goto _test_eof; 
		_test_eof29: cs = 29; goto _test_eof; 
		_test_eof30: cs = 30; goto _test_eof; 
		_test_eof31: cs = 31; goto _test_eof; 
		_test_eof32: cs = 32; goto _test_eof; 
		_test_eof33: cs = 33; goto _test_eof; 
		_test_eof34: cs = 34; goto _test_eof; 
		_test_eof35: cs = 35; goto _test_eof; 
		_test_eof36: cs = 36; goto _test_eof; 
		_test_eof37: cs = 37; goto _test_eof; 
		_test_eof38: cs = 38; goto _test_eof; 
		_test_eof39: cs = 39; goto _test_eof; 
		_test_eof48: cs = 48; goto _test_eof; 
		_test_eof49: cs = 49; goto _test_eof; 
		_test_eof50: cs = 50; goto _test_eof; 
		_test_eof51: cs = 51; goto _test_eof; 
		_test_eof52: cs = 52; goto _test_eof; 
		_test_eof53: cs = 53; goto _test_eof; 
		_test_eof54: cs = 54; goto _test_eof; 
		_test_eof55: cs = 55; goto _test_eof; 
		_test_eof56: cs = 56; goto _test_eof; 
		_test_eof57: cs = 57; goto _test_eof; 
		_test_eof58: cs = 58; goto _test_eof; 
		_test_eof59: cs = 59; goto _test_eof; 
		_test_eof60: cs = 60; goto _test_eof; 
		_test_eof61: cs = 61; goto _test_eof; 
		_test_eof62: cs = 62; goto _test_eof; 
		_test_eof63: cs = 63; goto _test_eof; 
		_test_eof40: cs = 40; goto _test_eof; 
		_test_eof64: cs = 64; goto _test_eof; 
		_test_eof41: cs = 41; goto _test_eof; 
		_test_eof42: cs = 42; goto _test_eof; 
		_test_eof43: cs = 43; goto _test_eof; 
		
		_test_eof: {}
		if ( p == eof ) {
			switch ( cs ) {
				case 1: {
					break;
				}
				case 0: {
					break;
				}
				case 44: {
					break;
				}
				case 2: {
					break;
				}
				case 3: {
					break;
				}
				case 4: {
					break;
				}
				case 5: {
					break;
				}
				case 45: {
					break;
				}
				case 46: {
					break;
				}
				case 6: {
					break;
				}
				case 7: {
					break;
				}
				case 8: {
					break;
				}
				case 9: {
					break;
				}
				case 10: {
					break;
				}
				case 11: {
					break;
				}
				case 47: {
					break;
				}
				case 12: {
					break;
				}
				case 13: {
					break;
				}
				case 14: {
					break;
				}
				case 15: {
					break;
				}
				case 16: {
					break;
				}
				case 17: {
					break;
				}
				case 18: {
					break;
				}
				case 19: {
					break;
				}
				case 20: {
					break;
				}
				case 21: {
					break;
				}
				case 22: {
					break;
				}
				case 23: {
					break;
				}
				case 24: {
					break;
				}
				case 25: {
					break;
				}
				case 26: {
					break;
				}
				case 27: {
					break;
				}
				case 28: {
					break;
				}
				case 29: {
					break;
				}
				case 30: {
					break;
				}
				case 31: {
					break;
				}
				case 32: {
					break;
				}
				case 33: {
					break;
				}
				case 34: {
					break;
				}
				case 35: {
					break;
				}
				case 36: {
					break;
				}
				case 37: {
					break;
				}
				case 38: {
					break;
				}
				case 39: {
					break;
				}
				case 48: {
					break;
				}
				case 49: {
					break;
				}
				case 50: {
					break;
				}
				case 51: {
					break;
				}
				case 52: {
					break;
				}
				case 53: {
					break;
				}
				case 54: {
					break;
				}
				case 55: {
					break;
				}
				case 56: {
					break;
				}
				case 57: {
					break;
				}
				case 58: {
					break;
				}
				case 59: {
					break;
				}
				case 60: {
					break;
				}
				case 61: {
					break;
				}
				case 62: {
					break;
				}
				case 63: {
					break;
				}
				case 40: {
					break;
				}
				case 64: {
					break;
				}
				case 41: {
					break;
				}
				case 42: {
					break;
				}
				case 43: {
					break;
				}
			}
			switch ( cs ) {
			}
			switch ( cs ) {
				case 1:
				goto _st1;case 0:
				goto _st0;case 44:
				goto _ctr81;case 2:
				goto _st2;case 3:
				goto _st3;case 4:
				goto _st4;case 5:
				goto _st5;case 45:
				goto _ctr84;case 46:
				goto _st46;case 6:
				goto _st6;case 7:
				goto _st7;case 8:
				goto _st8;case 9:
				goto _st9;case 10:
				goto _st10;case 11:
				goto _st11;case 47:
				goto _ctr89;case 12:
				goto _st12;case 13:
				goto _st13;case 14:
				goto _st14;case 15:
				goto _st15;case 16:
				goto _st16;case 17:
				goto _st17;case 18:
				goto _st18;case 19:
				goto _st19;case 20:
				goto _st20;case 21:
				goto _st21;case 22:
				goto _st22;case 23:
				goto _st23;case 24:
				goto _st24;case 25:
				goto _st25;case 26:
				goto _st26;case 27:
				goto _st27;case 28:
				goto _st28;case 29:
				goto _st29;case 30:
				goto _st30;case 31:
				goto _st31;case 32:
				goto _st32;case 33:
				goto _st33;case 34:
				goto _st34;case 35:
				goto _st35;case 36:
				goto _st36;case 37:
				goto _st37;case 38:
				goto _st38;case 39:
				goto _st39;case 48:
				goto _ctr91;case 49:
				goto _ctr93;case 50:
				goto _ctr95;case 51:
				goto _ctr97;case 52:
				goto _ctr99;case 53:
				goto _ctr101;case 54:
				goto _ctr103;case 55:
				goto _ctr105;case 56:
				goto _ctr107;case 57:
				goto _ctr109;case 58:
				goto _ctr111;case 59:
				goto _ctr113;case 60:
				goto _ctr115;case 61:
				goto _ctr117;case 62:
				goto _ctr119;case 63:
				goto _ctr121;case 40:
				goto _st40;case 64:
				goto _st64;case 41:
				goto _st41;case 42:
				goto _st42;case 43:
				goto _st43;	}
		}
		
		if ( cs >= 44 )
			goto _out; _pop: {}
		_out: {}
	}
	
#line 119 "/home/hanzlik/rpmbuild/BUILD/rspamd-3.10.2/src/ragel/content_disposition_parser.rl"

	
	if (st_storage.data) {
		free (st_storage.data);
	}
	
	return cd->attrs != NULL || cd->type != RSPAMD_CT_UNKNOWN;
}
